package data.DTO.FibonacciDTO;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;

public class FibonacciDTO implements Serializable {

    private static final List<Integer> fibonacciSequence = Arrays.asList(1,1,2,3,5,8,13,21,34,55);

    private int matchId;
    private float odds;
    private float betAmount;
    private String status;
    private int sequenceNumber = -1;

    String homeTeamName;
    String awayTeamName;
    private String gameDate;

    public void setSequenceNumber(int betSequence) {
        this.sequenceNumber = betSequence;
    }

    public int getSequenceNumber() {
        return sequenceNumber;
    }

    public void setMatchId(int matchId) {
        this.matchId = matchId;
    }

    public int getMatchId() {
        return matchId;
    }

    public void setOdds(float odds) {
        this.odds = odds;
    }

    public float getOdds() {
        return odds;
    }

    public void setBetAmount(float betAmount) {
        this.betAmount = betAmount;
    }

    public float getBetAmount() {
        return betAmount;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public String getHomeTeamName() {
        return homeTeamName;
    }

    public void setHomeTeamName(String homeTeamName) {
        this.homeTeamName = homeTeamName;
    }

    public String getAwayTeamName() {
        return awayTeamName;
    }

    public void setAwayTeamName(String awayTeamName) {
        this.awayTeamName = awayTeamName;
    }

    public void setGameDate(String gameDate) {
        this.gameDate = gameDate;
    }

    public String getGameDate() {
        return gameDate;
    }

    public int getNextSequenceNumber(int currentSequenceNumber) {
        return fibonacciSequence.get(currentSequenceNumber);
    }
}
